## The Weibull Distribution

## Usage

    dweibull(x, shape, scale = 1)
    pweibull(q, shape, scale = 1)
    qweibull(p, shape, scale = 1)
    rweibull(n, shape, scale = 1)

## Arguments

`x,q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations to generate.
`shape,scale` | shape and scale parameters.

## Description

These functions provide information about the Weibull distribution with parameters `shape` and `scale`. `dweibull` gives the density, `pweibull` gives the distribution function, `qweibull` gives the quantile function and `rweibull` generates random deviates.

If `scale` is omitted it assumes the default value of `1`.

The Weibull distribution with `shape` parameter a and `scale` parameter b has density given by

f(x) = (a/b) (x/b)^(a-1) exp(- (x/b)^a)

for x > 0.

## See Also

`dexp` for the Exponential which is a special case of a Weibull distribution.

## Examples

    x <- 1:10
    dweibull(x, shape = 1) == dexp(x)
    pweibull(x, shape = 1, scale = pi) == pexp(x, rate = 1/pi)
    qweibull(x/11, shape = 1, scale = pi) == qexp(x/11, rate = 1/pi)

[Package Contents]